package com.example.venue_reservation_service.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 场地可以使用时间映射表
 * @TableName venue_information_time
 */
@TableName(value ="venue_information_time")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class InformationTime implements Serializable {
    /**
     * 场地可预约时间的映射，主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 场地编号
     */
    private Integer venueId;

    /**
     * 时间编号
     */
    private Integer timeId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    public InformationTime(Integer venueId, Integer timeId) {
        this.venueId = venueId;
        this.timeId = timeId;
    }
}