package com.example.venue_reservation_service.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalTime;
import java.util.List;

import lombok.Data;

/**
 * 
 * @TableName venue_type
 */
@TableName(value ="venue_type")
@Data
public class Type implements Serializable {
    /**
     * 场地类型编号，主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 场馆名称
     */
    private String vname;

    /**
     * 位置
     */
    private String location;

    /**
     * 场地图片
     */
    private String imgUrl;

    /**
     * 开馆时间
     */
    private LocalTime openTime;

    /**
     * 闭馆时间
     */
    private LocalTime closeTime;

    /**
     * 场地集合
     */
    @TableField(exist = false)
    private List<String> venues;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;




}