package com.example.venue_reservation_service.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 系统异常日志表
 * @TableName venue_exception
 */
@TableName(value ="venue_exception")
@Data
public class VeException implements Serializable {
    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 异常类型
     */
    private String exceptionType;

    /**
     * 异常信息
     */
    private String exceptionMessage;

    /**
     * 异常堆栈
     */
    private String exceptionStack;

    /**
     * 方法名称
     */
    private String methodName;

    /**
     * 参数数据
     */
    private String parameterData;

    /**
     * 用户ID
     */
    private Integer userId;

    /**
     * 操作时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime operationTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}