package com.example.venue_reservation_service.exception;

/**
 * 系统级异常 - 用于封装底层技术异常（如加密、数据库、网络等）
 */
public class SystemException extends RuntimeException {
    private final String errorCode;

    public SystemException(String message) {
        super(message);
        this.errorCode = "SYS_001"; // 默认系统异常错误码
    }

    public SystemException(String message, Throwable cause) {
        super(message, cause);
        this.errorCode = "SYS_001";
    }

    public SystemException(String errorCode, String message) {
        super(message);
        this.errorCode = errorCode;
    }

    public SystemException(String errorCode, String message, Throwable cause) {
        super(message, cause);
        this.errorCode = errorCode;
    }

    public String getErrorCode() {
        return errorCode;
    }
}