package com.example.venue_reservation_service.service.impl;

import cn.hutool.core.lang.UUID;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.example.venue_reservation_service.service.VeSessionService;
import com.example.venue_reservation_service.domain.VeSession;
import com.example.venue_reservation_service.mapper.VeSessionMapper;
import jakarta.annotation.Resource;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;

/**
* @author 31586
* &#064;description  针对表【venue_session】的数据库操作Service实现
* &#064;createDate  2025-06-17 15:36:33
 */
@Service
public class VeSessionServiceImpl extends ServiceImpl<VeSessionMapper, VeSession>
    implements VeSessionService {

    @Resource
    private VeSessionMapper sessionMapper;

    public VeSession saveSession(VeSession session) {
        session.setStartTime(LocalDateTime.now());
        if (StringUtils.isEmpty(session.getSessionToken())) {
            session.setSessionToken("sess_" + UUID.randomUUID());
        }
        sessionMapper.insert(session);
        return session;
    }

    public List<VeSession> getSessionsByUserId(Integer userId) {
        QueryWrapper<VeSession> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("user_id", userId)
                .orderByDesc("start_time");
        return sessionMapper.selectList(queryWrapper);
    }
}




